/*************************************************************************
 *                                                                       *
 *                              VARS.JS                                  *
 *                                                                       *
 *************************************************************************
 *                                                                       *
 * This file contains the definitions for variables that are used by the *
 * patch html and javascript.  They must be updated for each new patch.  *
 *                                                                       *
 ************************************************************************/

/*************************************************************************
 * patchDir is the subdirectory where the patch files will be placed     *
 *                                                                       *
 * patchFile is the batch file or exectuatble that will be run from      *
 *        patchDir                                                       *
 *                                                                       *
 * patchReboot indicates if the patch requires a reboot. 1=yes, 0=no     *
 *                                                                       *
 * noStop indicates that the patch should not stop services before       *
 *        applying the patch.  Stopping is default. Setting this         *
 *        to 1 = don't stop.                                             *
 *                                                                       *
 * noStart indicates that the patch should not restart services after    *
 *        applying the patch.  Restarting is default. Setting this       *
 *        to 1 = don't restart.                                          *
 *                                                                       *
 ************************************************************************/


/* Patch Info */ 
var patchName = "Gatekeeper Support for BCM 2.5 FP1";
var patchDir = "GatekeeperSupport";
var patchFile = "GatekeeperSupport.bat";
var patchReboot = 0;
var noStop = 1;
var noStart = 1;

/*Prepare Timer*/
var waitTime = "0:30";
var time = "30 seconds";

/*General Information*/
var patchPurpose = "The patch updates the FEPS (Functional Endpoint Proxy Server) installation on the BCM as well as Unified Manager files to provide the required functionality for Gatekeeper support.";
var patchTargetVersion = "BCM 2.5 FP1";
var patchComponent = "FEPS and UM files";
var patchComponentVersion = "";

/*Problem_SRs Fixed*/
var patchDescription = "This patch provides updates for FEPS for use with BCM 2.5 FP1 and Gatekeeper support.";
var patchSRs = "<li>Q00111919: Switching the VoIP Trunks GK Setting does not change GK Registration<br><li>Q00217591: Radvision Gatekeeper Issue / Unisys does the Discovery option work on BCM?<br><li>Q00230550: BCM should support DRQ from Gatekeeper<br><li>Q00250412: Gatekeeper - H323-ID in Setup does not match that sent out in RAS message<br><li>Q00251579: Gatekeeper - Call CRV value not the same for both endpoints of a call<br><li>Q00251511: Load Test using Gatekeeper calls Fail after 8 hours<br><li>Q00287185: Gatekeeper - Call/RAS handles leaked under some conditions<br><li>Q00218132: Potential problems in a GatekeeperResolved environment<br><li>Q00251473: MCDN over IP when using GateKeeper<br>li>Q00285908: With Gatekeeper Resolved in use MCDN doesn't work<br><li>Q00XXXXXX: Incoming call from ITG results in stuck line. (MCDN)<br><li>Q00389174: Some Media Gateways are not being used by NM/MPS<br><li>Q00366939: Blind transfer to non-ringing appearance results in no voice path<br><li>Q00218145: Call is dropped due to unable to open media channel<br><li>Q00111752: Target lines didn't work on the conference call scenarios.<br><li>Q00321615: I/C call from Symbol to TDM/I2002 fails after system DN length changes";

/*Patch Details*/
var patchSoftware = "Gatekeeper Support";
var patchFiles = "<li>FEPS installation<br><li>errstrings.txt<br><li>subsys.cfg<br><li>voipqosmon.dll<br><li>webmenu.cfg";
var patchZIPsize = "2.4 MB";
var patchStepReboot = "This is a single step patch.";
var patchServices = "All services are stopped during the install of the patch.";
var patchTime = "10 minutes";

/*Warnings_Restrictions_Limitations*/
var patchWarnings = "All services are stopped during the install of the patch.";

/*Known Problems*/
var patchProblems = "";

/*Impact Assessment*/
var patchRisk = "Minimal Risk";








